# $Revision: 1.107 $, $Date: 2007/03/17 16:18:23 $
#
# Conditional build:
%bcond_without	gnome1	# without GNOME1 GUI stuff (default on - no GNOME2 port yet)
%bcond_without	qt	# without Qt GUI stuff
#
Summary:	unixODBC - a complete, free/open, ODBC solution for UNIX/Linux
Summary(pl):	unixODBC - kompletne, darmowe/otwarte ODBC dla UNIX/Linuksa
Name:		unixODBC
Version:	2.2.12
Release:	2
License:	LGPL
Group:		Libraries
# WARNING: they used to place snapshots of new versions using %{name}-%{version}.tar.gz
# scheme - so check for official releases on URL!
Source0:	ftp://ftp.easysoft.com/pub/unixODBC/%{name}-%{version}.tar.gz
# Source0-md5:	9a116aad4059c31d231b626ffdf1869a
Source1:	DataManager.desktop
Source2:	ODBCConfig.desktop
Source3:	ODBCtest.desktop
Source4:	%{name}.png
Patch0:		%{name}-no_libnsl.patch
Patch1:		%{name}-libltdl-shared.patch
Patch2:		%{name}-flex.patch
Patch3:		%{name}-gODBCConfig.patch
# XXX: this may be evil, depending on what uses these types.
# only two Win32-specific functions from unixODBC sources use them,
# but what about other projects using ODBC?
Patch4:		%{name}-types.patch
Patch5:		%{name}-symbols.patch
URL:		http://www.unixodbc.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
%{?with_gnome1:BuildRequires:	gnome-libs-devel}
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 1:1.4.2-9
%{?with_qt:BuildRequires:	qt-devel >= 2.0}
BuildRequires:	readline-devel >= 4.2
BuildConflicts:	kdesupport-odbc
Requires(post):	/sbin/ldconfig
Obsoletes:	libunixODBC2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
unixODBC is a complete, free/open, ODBC solution for UNIX/Linux.

%description -l pl
unixODBC - kompletne, darmowe/otwarte ODBC dla systemw UNIX/Linux.

%package devel
Summary:	unixODBC header files and development documentation
Summary(pl):	Pliki nagwkowe i dokunentacja do unixODBC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libltdl-devel
Obsoletes:	libunixODBC2-devel

%description devel
unixODBC header files and development documentation.

%description devel -l pl
Pliki nagwkowe i dokunentacja do unixODBC.

%package static
Summary:	unixODBC static libraries
Summary(pl):	Biblioteki statyczne unixODBC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
unixODBC static libraries.

%description static -l pl
Biblioteki statyczne unixODBC.

%package gnome
Summary:	GNOME library and configuration GUI for unixODBC
Summary(pl):	Oparta na GNOME biblioteka i graficzny konfigurator dla unixODBC
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gnome
GNOME library (libgtkodbcconfig) and configuration GUI (gODBCConfig)
for unixODBC.

%description gnome -l pl
Oparta na GNOME biblioteka (libgtkodbcconfig) i graficzny konfigurator
(gODBCConfig) do unixODBC.

%package gnome-devel
Summary:	Header file for libgtkodbcconfig library
Summary(pl):	Plik nagwkowy biblioteki libgtkodbcconfig
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gnome = %{version}-%{release}
Requires:	gnome-libs-devel

%description gnome-devel
Header file for libgtkodbcconfig library.

%description gnome-devel -l pl
Plik nagwkowy biblioteki libgtkodbcconfig.

%package gnome-static
Summary:	Static libgtkodbcconfig library
Summary(pl):	Statyczna biblioteka libgtkodbcconfig
Group:		X11/Development/Libraries
Requires:	%{name}-gnome-devel = %{version}-%{release}

%description gnome-static
Static libgtkodbcconfig library.

%description gnome-static -l pl
Statyczna biblioteka libgtkodbcconfig.

%package qt
Summary:	Qt-based GUIs for unixODBC
Summary(pl):	Oparte na Qt graficzne interfejsy dla unixODBC
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description qt
Qt-based GUIs for unixODBC - libodbcinstQ plugin for libodbcinst
library and applications: DataManager, DataManagerII, ODBCConfig,
odbctest.

%description qt -l pl
Oparte na Qt graficzne interfejsy uytkownika do unixODBC - wtyczka
libodbcinstQ dla biblioteki libodbcinst oraz aplikacje: DataManager,
DataManagerII, ODBCConfig, odbctest.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# breaks build of OOo and we have no idea what it was added in first place
# %patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if %{with qt}
	--enable-gui \
	--with-qt-includes=/usr/include/qt \
	--with-qt-libraries=%{_libdir} \
%else
	--disable-gui \
%endif
	--enable-drivers \
	--enable-static \
	--enable-threads

%{__make}

%if %{with gnome1}
cd gODBCConfig
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with qt}
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
install %{SOURCE1} %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}
%endif

%if %{with gnome1}
%{__make} install -C gODBCConfig \
	DESTDIR=$RPM_BUILD_ROOT
%endif

find doc -name Makefile\* -exec rm -f {} \;

# libodbcinstQ.so.1 is lt_dlopened
rm -f $RPM_BUILD_ROOT%{_libdir}/libodbcinstQ.{la,a}
# libodbccr.so.1. is lt_dlopened
rm -f $RPM_BUILD_ROOT%{_libdir}/libodbccr.{la,a}
# Setup drivers are lt_dlopened by given name (let it be SONAME)
rm -f $RPM_BUILD_ROOT%{_libdir}/lib{odbc{mini,my,psql,drvcfg{1,2},nn,txt},oraodbc,esoob,oplodbc,sapdb,tds}S.{la,a}
# Drivers are lt_dlopened by given name (let it be SONAME)
rm -f $RPM_BUILD_ROOT%{_libdir}/lib{odbcpsql,nn,template,odbctxt}.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
# install text driver
/usr/bin/odbcinst -i -d -r <<EOF
[TXT]
Description = Text file driver
Driver = %{_libdir}/libodbctxt.so.1
Setup = %{_libdir}/libodbctxtS.so.1
EOF
# install postgresql driver
/usr/bin/odbcinst -i -d -r <<EOF
[PostgreSQL]
Description = PostgreSQL driver
Driver = %{_libdir}/libodbcpsql.so.1
Setup = %{_libdir}/libodbcpsqlS.so.1
EOF

%postun -p /sbin/ldconfig

%post	gnome -p /sbin/ldconfig
%postun	gnome -p /sbin/ldconfig

%post	qt -p /sbin/ldconfig
%postun	qt -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS doc/AdministratorManual doc/UserManual
%attr(755,root,root) %{_bindir}/dltest
%attr(755,root,root) %{_bindir}/isql
%attr(755,root,root) %{_bindir}/iusql
%attr(755,root,root) %{_bindir}/odbcinst
# can be useful not only for development
%attr(755,root,root) %{_bindir}/odbc_config
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
# for *dlopening
%attr(755,root,root) %{_libdir}/libodbccr.so
%attr(755,root,root) %{_libdir}/libodbcminiS.so
%attr(755,root,root) %{_libdir}/libodbcmyS.so
%attr(755,root,root) %{_libdir}/libodbcpsqlS.so
%attr(755,root,root) %{_libdir}/libodbcdrvcfg1S.so
%attr(755,root,root) %{_libdir}/libodbcdrvcfg2S.so
%attr(755,root,root) %{_libdir}/libodbcnnS.so
%attr(755,root,root) %{_libdir}/libodbctxtS.so
%attr(755,root,root) %{_libdir}/liboraodbcS.so
%attr(755,root,root) %{_libdir}/libesoobS.so
%attr(755,root,root) %{_libdir}/liboplodbcS.so
%attr(755,root,root) %{_libdir}/libsapdbS.so
%attr(755,root,root) %{_libdir}/libtdsS.so
%attr(755,root,root) %{_libdir}/libodbcpsql.so
%attr(755,root,root) %{_libdir}/libnn.so
%attr(755,root,root) %{_libdir}/libtemplate.so
%attr(755,root,root) %{_libdir}/libodbctxt.so
%{?with_gnome1:%exclude %{_libdir}/libgtkodbcconfig.*}
%{?with_qt:%exclude %{_libdir}/libodbcinstQ.*}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/odbc*.ini

%files devel
%defattr(644,root,root,755)
%doc ChangeLog doc/ProgrammerManual
%attr(755,root,root) %{_libdir}/libboundparam.so
%attr(755,root,root) %{_libdir}/libodbc.so
%attr(755,root,root) %{_libdir}/libodbcinst.so
%{_libdir}/lib*.la
%{?with_gnome1:%exclude %{_libdir}/libgtkodbcconfig.*}
%{?with_qt:%exclude %{_libdir}/libodbcinstQ.*}
%{_includedir}/*.h
%{?with_gnome1:%exclude %{_includedir}/odbcconfig.h}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{?with_gnome1:%exclude %{_libdir}/libgtkodbcconfig.*}
%{?with_qt:%exclude %{_libdir}/libodbcinstQ.*}

%if %{with gnome1}
%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gODBCConfig
%attr(755,root,root) %{_libdir}/libgtkodbcconfig.so.*.*.*
%{_pixmapsdir}/gODBCConfig

%files gnome-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkodbcconfig.so
%{_libdir}/libgtkodbcconfig.la
%{_includedir}/odbcconfig.h

%files gnome-static
%defattr(644,root,root,755)
%{_libdir}/libgtkodbcconfig.a
%endif

%if %{with qt}
%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/DataManager
%attr(755,root,root) %{_bindir}/DataManagerII
%attr(755,root,root) %{_bindir}/ODBCConfig
%attr(755,root,root) %{_bindir}/odbctest
%attr(755,root,root) %{_libdir}/libodbcinstQ.so.*.*.*
%attr(755,root,root) %{_libdir}/libodbcinstQ.so
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%endif

%define date		%(echo `LC_ALL="C"  date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: unixODBC.spec,v $
Revision 1.107  2007/03/17 16:18:23  glen
- AC-branch

Revision 1.106  2007/03/17 15:46:21  glen
- adapter

Revision 1.105  2007/03/04 14:01:27  arekm
- rel 2; disable types patch; doesn anyone know why it's here?

Revision 1.104  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.103  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.102  2007/01/02 00:28:41  arekm
- rel 1

Revision 1.101  2006/11/28 23:42:24  arekm
- rel 0.2

Revision 1.100  2006/11/24 19:25:01  qboosh
- fixed build in presence of qt4 headers

Revision 1.99  2006/11/24 17:31:37  qboosh
- updated to 2.2.12
- updated libltdl-shared,flex,gODBCConfig,symbols patches
- removed obsolete ac_fix,libini patches

Revision 1.98  2006/08/27 20:00:04  qboosh
- updated libini patch, added symbols patch
  (fix unresolved symbols in libodbcinstQ, libodbctxt and libodbccr)
- release 7

Revision 1.97  2006/04/23 10:01:48  pluto
- release 6 (rebuild amd64 -> x86-64).

Revision 1.96  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.95  2005/12/04 23:37:16  glen
- adapterized (sorted %verify flags)

Revision 1.94  2005/09/17 10:25:18  arekm
- rebuild with readline 5.0

Revision 1.93  2005/09/09 10:43:22  qboosh
- release 4

Revision 1.92  2005/09/09 09:57:15  qboosh
- .so symlinks for *dlopened modules moved from -devel to base

Revision 1.91  2005/09/05 10:05:55  arekm
- rel 3; libxxS.so.X are needed as setup so files (+ they provide no additional deps)

Revision 1.90  2005/09/05 08:34:35  arekm
- rel 2

Revision 1.89  2005/03/27 11:35:56  qboosh
- updated to 2.2.11, updated gODBCConfig patch, added libini patch

Revision 1.88  2004/10/25 22:30:53  qboosh
- updated to 2.2.10, removed obsolete syntax patch

Revision 1.87  2004/10/24 22:49:23  paladine
- QT->Qt
- spelling fixes

Revision 1.86  2004/10/03 01:39:27  havner
- rel 3 for fixed types patch

Revision 1.85  2004/10/02 23:50:07  havner
- types patch
- rel 2

Revision 1.84  2004/07/07 21:37:40  qboosh
- updated to 2.2.9 release, updated libltdl-shared,gODBCConfig patches
- added syntax patch for new bug

Revision 1.83  2004/02/28 00:47:54  qboosh
- updated to 2.2.8 release

Revision 1.82  2004/02/15 13:00:59  qboosh
- it's snapshot, not release - read comment in spec

Revision 1.81  2004/02/15 11:49:18  jareq
- upgraded to 2.2.8
- s/libodbpsql/libodbcpsql in /etc/odbcinst.ini
- rel 1
- STBR

Revision 1.80  2004/01/25 22:49:11  undefine
- release 2 to rebuild with new db4.2 and libart_lgpl

Revision 1.79  2003/12/18 00:35:53  qboosh
- updated to 2.2.7 final release
- gnome1 on by default for now (we have gnome-libs and there is still
  no GNOME2 port of gODBCConfig)

Revision 1.78  2003/12/05 00:36:19  adgor
- Switched to vfolders
- Added desktop file for odbctest
- Release 3

Revision 1.77  2003/12/02 10:12:13  trojan
- new bconds

Revision 1.76  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.75  2003/08/13 22:52:23  ankry
- description fixes / unification

Revision 1.74  2003/08/09 10:09:16  qboosh
- final 2.2.6
- removed obsolete trailing_backslash patch, updated gODBCConfig patch
- added warning about snapshots (early 2.2.7 snapshot is already available)
- release 2

Revision 1.73  2003/07/11 23:04:54  qboosh
- added gODBCConfig patch (not to require installed unixODBC-devel)
- added GUIs (both GNOME1 and QT)
- always use SONAME to dlopen drivers, removed *.{a,la,so} for plugins

Revision 1.72  2003/07/10 09:51:00  qboosh
- added flex patch (needed to use new flex)

Revision 1.71  2003/07/10 09:18:29  qboosh
- up to 20030624 snap, updated libltdl-shared patch

Revision 1.70  2003/06/04 15:06:17  qboosh
- merged lost changes:
  Revision 1.69  2003/05/23 14:55:05  qboosh
  - added URL

  Revision 1.68  2003/05/23 14:36:43  mkochano
  - Added trailing_backslash patch.

Revision 1.69  2003/06/03 20:01:27  qboosh
- marked in release that it's snapshot version
- added md5 for version which was in cvs.pld.org.pl
  (it's different than on ftp.easysoft.com now... to be updated in cvs)

Revision 1.68  2003/05/25 06:27:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.67  2003/03/25 12:57:31  trojan
- updated to 2.2.6

Revision 1.66  2003/02/28 10:08:58  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.65  2003/02/26 22:22:59  areq
- updated to 2.2.5

Revision 1.64  2003/01/24 22:46:06  qboosh
- 2.2.4, updated ac_fix patch, removed obsolete DESTDIR patch

Revision 1.63  2002/12/30 08:52:09  qboosh
- cleanup

Revision 1.62  2002/12/24 17:16:19  qboosh
- added more fixes to ac_fix patch
- use fixed libtool instead of hacking *.la

Revision 1.61  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.60  2002/11/18 14:33:21  qboosh
- user and admin manual back to base, programmer left in -devel
- release 5

Revision 1.59  2002/11/18 07:04:51  kloczek
- fixes in %files.

Revision 1.58  2002/11/18 05:59:25  kloczek
- comment also pixmaps.

Revision 1.57  2002/11/17 23:49:23  kloczek
- release 4: commnet install bogus desktop file.

Revision 1.56  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.55  2002/07/03 09:24:06  wolf
- spelling

Revision 1.54  2002/06/26 20:22:18  kloczek
- use new %doc.

Revision 1.53  2002/05/21 23:14:52  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.52  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.51  2002/02/23 04:55:17  kloczek
- adapterized.

Revision 1.50  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.49  2002/01/19 22:16:24  qboosh
- BuildRequires: libltdl-devel

Revision 1.48  2002/01/19 17:15:25  qboosh
- libltdl-shared patch: link libodbc with shared libltdl instead of included
  "convenience" copy - that's why php-odbc caused httpd crashes in some cases
- release 3

Revision 1.47  2002/01/18 22:48:31  filon
- chnaged driver name in post section (was 2 times TXT)
- release 2

Revision 1.46  2002/01/18 02:15:15  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2002/01/18 01:45:07  kloczek
- updated to 2.1.1,
- libunixODBC2{,-devel} added to Obsoletes for allow upgrade from MDK,
- removed obsoleted am_fix and added no_libnsl patch (with correct checking is
  gethostbyname() in libnsl),
- typos in files and devel Summary.

Revision 1.44  2002/01/17 22:35:33  filon
- updated to 2.1.0
- updated patches
- added registering drivers in %post section
- part of am_fix is obsolette, builds without it. Misiek, what's doing this patch?

Revision 1.43  2001/10/15 17:28:23  kloczek
- release 3.

Revision 1.42  2001/10/15 14:47:38  misiek
- am fixed

Revision 1.41  2001/09/26 13:31:55  qboosh
- fixed devel -l pl description

Revision 1.40  2001/08/12 19:28:53  qboosh
- added ac 2.5x fixes to ac_fix patch
- avoid relinking in 2 dirs (required already installed unixODBC-devel)
- release 2

Revision 1.39  2001/06/28 11:17:19  kloczek
- updated to 2.0.8.

Revision 1.38  2001/05/19 07:23:17  kloczek
- updated to 2.0.7,
- removed obsoleted patches and added ac_fix patch,
- removed regenerate libtool files (in this version isn't neccessary).

Revision 1.37  2001/05/18 03:24:13  kloczek
- release 4: fixed libtool problems (added no_private_copy_libtool.m4
  patch).

Revision 1.36  2001/05/07 17:15:11  misiek
- fixed(?) compilation on sparc; not tested due to broken pdksh(tm)

Revision 1.35  2001/05/07 15:22:22  kloczek
- do not install pixmaps and desktop files - qt GUI is now disabled.

Revision 1.34  2001/05/07 13:51:09  kloczek
- release 3: merge segfault rawhide patch.

Revision 1.33  2001/05/07 13:05:43  baggins
- libtoolize copy, force

Revision 1.32  2001/04/28 05:56:28  kloczek
- updated to 2.0.6.

Revision 1.31  2001/04/13 01:49:24  kloczek
- release 2: rebuild againsr readline 4.2.

Revision 1.30  2001/04/03 15:58:47  kloczek
- typo.

Revision 1.29  2001/04/03 15:41:07  kloczek
- added package icon for package and desktop files.

Revision 1.28  2001/04/03 15:36:06  kloczek
- updated to 2.0.5.

Revision 1.27  2001/03/13 21:23:58  baggins
- removed _prefix definition

Revision 1.26  2001/02/13 14:22:02  kloczek
- release 2.

Revision 1.25  2001/02/13 02:25:57  qboosh
- BuildRequires: readline-devel

Revision 1.24  2001/02/07 14:23:47  kloczek
- updated to 2.0.4.

Revision 1.23  2001/01/17 11:43:27  kloczek
- added am1.4b-fixes patch for building in automake 1.4b enviroment.

Revision 1.22  2001/01/15 00:12:16  kloczek
- updated to 2.0.3.

Revision 1.21  2001/01/07 16:53:41  kloczek
- updated to 2.0.1.

Revision 1.20  2001/01/04 20:43:27  kloczek
- updated to 2.0.0.

Revision 1.19  2000/12/07 11:20:14  agaran
- $log fixed
